收藏
回答

openaiwidget 从1.0.6升级到1.1.8版本不能用问题

问题模块 问题类型 插件 AppID 插件版本号 AppID 操作系统 微信版本 基础库版本
插件 Bug wx8c631f7e9f2465e1 1.1.8 fNvTN5LKrRVnmWD7851yM2LDIuegc4 Android 7.0.9 2.8.1
//app.js
var plugin = requirePlugin("chatbot");
App({
  onLaunch: function () {
    // 展示本地存储能力
    var logs = wx.getStorageSync('logs') || []
    logs.unshift(Date.now())
    wx.setStorageSync('logs', logs)
     
    //ai插件初始化
    plugin.init({
      //是在 openai.weixin.qq.com 注册的机器人账号对应的 appid 在 设置-服务接入-小程序接入
     // appid: "fNvTN5LKrRVnmWD7851yM2LDIuegc4",
      appid: "fNvTN5LKrRVnmWD7851yM2LDIuegc4", //小程序示例账户,仅供学习和参考  
      openid: "",//用户的openid,非必填,建议传递该参数
      success: () => { }, //非必填
      fail: error => { } //非必填
      // guideList: ["查工作梯", '查拖机棒', '查工具箱','更换电池'],
    });


"permission": {
  "scope.userLocation": {
    "desc": "使用地图展示附近设备位置"
  }
},
"plugins": {
  "chatbot": {
    "version": "1.1.8",
    "provider": "wx8c631f7e9f2465e1"
  },
  "WechatSI": {
    "version": "0.3.1",
    "provider": "wx069ba97219f66d99"
  }
},
<view style="height: 100vh">
    <chat bind:backHome="goBackHome" bind:queryCallback="getQueryCallback"  />
</view>
{
  "component": true,
  "usingComponents": {
    "chat": "plugin://chatbot/chat"
  }
}
  // goBackHome回调 返回上一级页面
  goBackHome: function () {
    wx.navigateBack({
      delta: 1
    })
  },
 
// getQueryCallback回调 返回query与结果
  getQueryCallback: function (e) {
    /**
   .....
*/
}


升级到1.1.4以上版本都报以下错 如:1.1.8


点击“继续执行脚本”



最后一次编辑于  2019-12-16
回答关注问题邀请回答
收藏

1 个回答

  • Brook
    Brook
    2019-12-17

    不知道什么原因,倒腾一圈又可以用了。

    2019-12-17
    赞同
    回复
登录 后发表内容
问题标签